Bug 1403 - Missing SSL includes to run apxs
Missing SSL includes to run apxs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Secure Web Server
Classification: Retired
Component: secureweb (Show other bugs)
2.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-02 15:27 EST by frouaix
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-29 12:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description frouaix 1999-03-02 15:27:35 EST
Trying to build my own module, I get the following error:

/usr/sbin/apxs -c mod_webconnect.c
gcc -O2 -m486 -fno-strength-reduce -DLINUX=2 -DSTATUS
-DMOD_SSL=200107
-I/usr/src/bs/BUILD/secureweb/SSLeay-0.9.0b/include -fpic
-DSHARED_MODULE -I/usr/include/apache  -c mod_webconnect.c
In file included from /usr/include/apache/httpd.h:73,
                 from mod_webconnect.c:71:
/usr/include/apache/buff.h:73: ssl.h: No such file or
directory

I have
secureweb-2.0-1libc6
secureweb-devel-2.0-1libc6
secureweb-source-2.0-1libc6
installed on a RH 5.2

A workaround is obviously to get an SSL distribution
and to compile with
apxs -I/usr/local/ssl/include ...
but I'd rather have the SSL includes in the
secureweb-devel RPM.
BTW: my own module DOES NOT use any SSL feature.
It compiles correctly with the same command on a standard
Apache distribution.
properly
Comment 1 Preston Brown 1999-08-29 12:32:59 EDT
Please get the updated secureweb packages from updates.redhat.com.
They fix this problem.

Note You need to log in before you can comment on or make changes to this bug.